void AlphaTexture_Vert(
			float4 position : POSITION,
			float2 uv       : TEXCOORD0,
			uniform float4x4 worldViewProj,
			out     float4   oPosition : POSITION,
			out     float2   oUv       : TEXCOORD0)

{
	position = mul(worldViewProj, position);

	oPosition = position;

	oUv = uv;
}
 

void AlphaTexture_Frag(
			float4 position    : POSITION,
			float2 uv          : TEXCOORD0,
			out float4 oColour : COLOR,
			uniform sampler2D TextureMap : register(s0))

{   
	float4 Color = tex2D(TextureMap, uv.xy);

	float Black = Color.r + Color.g + Color.b;

	if(Black == 0)
		discard;

	oColour = Color;
}